AWS
action CloudWatch

# remove_rule_targets

Removes CloudWatch rule targets

Run it now
View details

Type | action
Module | chaosaws.cloudwatch.actions
Name | remove_rule_targets
Return | mapping

Usage

JSON

    {
      "name": "remove-rule-targets",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.cloudwatch.actions",
        "func": "remove_rule_targets",
        "arguments": {
          "rule_name": ""
        }
      }
    }

YAML

    name: remove-rule-targets
    provider:
      arguments:
        rule_name: ""
      func: remove_rule_targets
      module: chaosaws.cloudwatch.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
rule_name | string |  | Yes | Rule Name | Name of the rule to remove
target_ids | list | null | No | Target Identifies | List of target to remove

If no target ids are provided all targets will be removed.

Signature

    def remove_rule_targets(
            rule_name: str,
            target_ids: List[str] = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe CloudWatch

  ## `get_alarm_state_value`

  Return the state value of an alarm
- AWS
  action CloudWatch

  ## `enable_rule`

  Enables a CloudWatch rule
- AWS
  action CloudWatch

  ## `put_metric_data`

  Publish metric data points to CloudWatch